 /*
  Test_demoboard.ino
*/
//Definizione pin
#define LED_RED 3
#define LED_GREEN 5
#define LED_BLUE 6
#define RELE_1 8
#define DEVIATORE 4
#define PULSANTE 7

void setup()
{
  Serial.begin(9600);
  pinMode(LED_GREEN, OUTPUT);
  pinMode(LED_BLUE, OUTPUT);
  pinMode(LED_RED, OUTPUT);
  pinMode(RELE_1, OUTPUT);
  pinMode(PULSANTE, INPUT_PULLUP);
  pinMode(DEVIATORE, INPUT_PULLUP);
}

void loop() {
  int pulsante_stato = digitalRead(PULSANTE);
  int deviatore_stato = digitalRead(DEVIATORE);
  Serial.print("Pulsante = "); Serial.println(!pulsante_stato);
  digitalWrite(LED_RED, !pulsante_stato);
  Serial.print("Deviatore = "); Serial.println(!deviatore_stato);
  digitalWrite(RELE_1, !deviatore_stato);
  delay(100);
}



